﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using INIFile;

namespace TimeSync
{
    public partial class FrmSeting : Form
    {
        public FrmSeting()
        {
            InitializeComponent();
        }

        private void FrmSeting_Load(object sender, EventArgs e)
        {
            IniFile cfg = new IniFile(Application.StartupPath + @"\SetConfig.ini");
            if (cfg != null)
            {
                textBox1.Text = cfg.IniReadValue("ServerConfig", "IP");
                textBox2.Text = cfg.IniReadValue("ServerConfig", "Port");
                textBox3.Text = cfg.IniReadValue("ServerConfig", "Interval");
            }
        }

        private void btnOk_Click(object sender, EventArgs e)
        {
            IniFile cfg = new IniFile(Application.StartupPath + @"\SetConfig.ini");
            if (cfg != null)
            {
                cfg.IniWriteValue("ServerConfig", "IP", textBox1.Text.Trim());
                cfg.IniWriteValue("ServerConfig", "Port", textBox2.Text.Trim());
                cfg.IniWriteValue("ServerConfig", "Interval", textBox3.Text.Trim());
                MessageBox.Show("配置信息修改成功,重启生效！", "提示");
            }
            this.Close();
        }
    }
}
